## org.apache.cassandra.utils
Class SimpleCondition

    java.lang.Object
      org.apache.cassandra.utils.SimpleCondition

All Implemented Interfaces:
  java.util.concurrent.locks.Condition

    public class SimpleCondition

extends java.lang.Object
implements java.util.concurrent.locks.Condition

Constructor Summary
`SimpleCondition()`

Method Summary
`void` `await()`
`boolean` `await(long time, java.util.concurrent.TimeUnit unit)`
`long` `awaitNanos(long nanosTimeout)`
`void` `awaitUninterruptibly()`
`boolean` `awaitUntil(java.util.Date deadline)`
`boolean` `isSignaled()`
`void` `reset()`
`void` `signal()`
`void` `signalAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleCondition

    public SimpleCondition()

Method Detail

### await

    public void await()
               throws java.lang.InterruptedException

  Specified by:
    `await` in interface `java.util.concurrent.locks.Condition`
  Throws:
    `java.lang.InterruptedException`

### reset

    public void reset()

### await

    public boolean await(long time,
                         java.util.concurrent.TimeUnit unit)
                  throws java.lang.InterruptedException

  Specified by:
    `await` in interface `java.util.concurrent.locks.Condition`
  Throws:
    `java.lang.InterruptedException`

### signal

    public void signal()

  Specified by:
    `signal` in interface `java.util.concurrent.locks.Condition`

### signalAll

    public void signalAll()

  Specified by:
    `signalAll` in interface `java.util.concurrent.locks.Condition`

### isSignaled

    public boolean isSignaled()

### awaitUninterruptibly

    public void awaitUninterruptibly()

  Specified by:
    `awaitUninterruptibly` in interface `java.util.concurrent.locks.Condition`

### awaitNanos

    public long awaitNanos(long nanosTimeout)
                    throws java.lang.InterruptedException

  Specified by:
    `awaitNanos` in interface `java.util.concurrent.locks.Condition`
  Throws:
    `java.lang.InterruptedException`

### awaitUntil

    public boolean awaitUntil(java.util.Date deadline)
                       throws java.lang.InterruptedException

  Specified by:
    `awaitUntil` in interface `java.util.concurrent.locks.Condition`
  Throws:
    `java.lang.InterruptedException`

Copyright © 2013 The Apache Software Foundation